package info.bukova.isspst.mail;

import org.springframework.mail.SimpleMailMessage;

public class MailMessage extends SimpleMailMessage {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3240551712942170018L;
	
	private boolean html;
	private String attachementName;
	private byte[] attachementData;
	private String contentType;

	public MailMessage() {
		super();
	}
	
	public MailMessage(MailMessage message) {
		super(message);
		this.html = message.isHtml();
		this.attachementName = message.getAttachementName();
		this.attachementData = message.getAttachementData();
		this.contentType = message.getContentType();
	}
	
	public boolean isHtml() {
		return html;
	}

	public void setHtml(boolean html) {
		this.html = html;
	}

	public byte[] getAttachementData() {
		return attachementData;
	}

	public void setAttachementData(byte[] attachementData) {
		this.attachementData = attachementData;
	}

	public String getContentType() {
		return contentType;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public String getAttachementName() {
		return attachementName;
	}

	public void setAttachementName(String attachementName) {
		this.attachementName = attachementName;
	}

}
